User Facet
For instructions on how to authenticate to use this endpoint, see API overview.
Endpoints
GET | |
PATCH |
Retrieve user facet settings
Get the authenticated user's custom facets for a product, within the current team. Pass @me as the UUID.
Required API key scopes
user:readPath parameters
- uuidstring
Query parameters
- productstringOne of:
"logs""tracing"
Response
Example request
GET /api /user_facet_settings /:uuidExample response
Status 200
RESPONSE
Retrieve user facet settings
Get the authenticated user's custom facets for a product, within the current team. Pass @me as the UUID.
Required API key scopes
user:readPath parameters
- uuidstring
Query parameters
- productstringOne of:
"logs""tracing"
Response
Example request
GET /api /user_facet_settings /:uuidExample response
Status 200
RESPONSE
Update user facet settings
Replace the authenticated user's custom facets for a product, within the current team. Pass @me as the UUID.
Required API key scopes
user:writePath parameters
- uuidstring
Query parameters
- productstringOne of:
"logs""tracing"
Request parameters
- custom_facetsarray
Response
Example request
PATCH /api /user_facet_settings /:uuidExample response
Status 200
RESPONSE
Update user facet settings
Replace the authenticated user's custom facets for a product, within the current team. Pass @me as the UUID.
Required API key scopes
user:writePath parameters
- uuidstring
Query parameters
- productstringOne of:
"logs""tracing"
Request parameters
- custom_facetsarray
Response
Example request
PATCH /api /user_facet_settings /:uuidExample response
Status 200
RESPONSE